function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useAntdTable } from 'ahooks';
import dayjs from 'dayjs';
import { useState } from 'react';
import { VmFactor, VmTable, VmWrapper } from "../../../_components";
import useSettings from "../../../_hooks/useSettings";
import { queryPage, throwRecordService } from "../../api";
import "./index.less";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var columns = [{
  title: '投放人',
  dataIndex: 'personName',
  render: function render(text) {
    return text || '--';
  }
}, {
  title: '门牌号',
  dataIndex: 'householdNo',
  render: function render(text) {
    return text || '--';
  }
}, {
  title: '分类主体',
  dataIndex: 'housingEstateName',
  render: function render(text) {
    return text || '--';
  }
}, {
  title: '行政区划',
  dataIndex: 'xzqhName',
  render: function render(text) {
    return text || '--';
  }
}, {
  title: '投放点',
  dataIndex: 'throwPointName',
  render: function render(text) {
    return text || '--';
  }
}, {
  title: '分类质量',
  dataIndex: 'qualityValue',
  render: function render(text, record) {
    return /*#__PURE__*/_jsx("div", {
      className: "classifyCircle ".concat(record.qualityCode === 'PASS' ? 'GOOD' : 'BAD'),
      children: text
    });
  }
}, {
  title: '投放时间',
  dataIndex: 'endDatetime',
  render: function render(text) {
    return text || '--';
  }
}];
var TFRD = function TFRD(_ref) {
  var _ref$classPrefix = _ref.classPrefix,
    classPrefix = _ref$classPrefix === void 0 ? '' : _ref$classPrefix,
    id = _ref.id;
  var _useSettings = useSettings(),
    isDark = _useSettings.isDark;
  var prefix = "".concat(classPrefix, "-tfrd");
  var _useState = useState([dayjs(), dayjs()]),
    _useState2 = _slicedToArray(_useState, 2),
    times = _useState2[0],
    setTimes = _useState2[1];
  var queryParams = {
    throwPointId: id,
    startDatetime: times[0].format('YYYY-MM-DD 00:00:00'),
    endDatetime: times[1].format('YYYY-MM-DD 23:59:59')
  };
  var summary = throwRecordService.useGetCount(queryParams);
  var getTableData = function getTableData(_ref2) {
    var current = _ref2.current,
      pageSize = _ref2.pageSize;
    return queryPage('/cloud/sdyd/throwRecord/page', _objectSpread({
      page: current - 1,
      size: pageSize
    }, queryParams));
  };
  var _useAntdTable = useAntdTable(getTableData, {
      defaultPageSize: 10,
      refreshDeps: [id, times[0], times[1]]
    }),
    tableProps = _useAntdTable.tableProps;
  var onDateChange = function onDateChange(date) {
    setTimes(date);
  };
  return /*#__PURE__*/_jsx("div", {
    className: prefix,
    children: /*#__PURE__*/_jsxs(VmWrapper, {
      title: "\u5C45\u6C11\u6295\u653E\u70ED\u5EA6\u5206\u6790",
      filterType: "rangePicker",
      dateValue: times,
      filterChange: onDateChange,
      children: [/*#__PURE__*/_jsx("div", {
        className: "".concat(prefix, "-top"),
        children: [{
          name: '投放户数',
          unit: '户',
          value: (summary === null || summary === void 0 ? void 0 : summary.householdCount) || 0,
          fontType: 'blue',
          key: 'tfhs'
        }, {
          name: '投放次数',
          unit: '次',
          value: (summary === null || summary === void 0 ? void 0 : summary.totalCount) || 0,
          fontType: 'green',
          key: 'tfcs'
        }].map(function (ele) {
          return /*#__PURE__*/_jsx(VmFactor, _objectSpread(_objectSpread({}, ele), {}, {
            img: require("../../imgs/".concat(ele.key).concat(isDark ? '' : '_light', ".png"))
          }), ele.key);
        })
      }), /*#__PURE__*/_jsx(VmTable, _objectSpread({
        height: 370,
        columns: columns
      }, tableProps))]
    })
  });
};
export default TFRD;